|  | Home | Documentation | saml2__AttributeType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__AttributeType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AttributeType is a complexType. More...

`#include <saml2.h>`

## Public Attributes
$int | __sizeAttributeValue
| Size of the dynamic array of _XML* is 0..unbounded. More...
_XML * | saml2__AttributeValue
| Array _XML* of size 0..unbounded. More...
char * | Name
| Attribute "Name" of XSD type xs:string. More...
char * | NameFormat
| Attribute "NameFormat" of XSD type xs:anyURI. More...
char * | FriendlyName
| Attribute "FriendlyName" of XSD type xs:string. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AttributeType is a complexType.

struct saml2__AttributeType operations:

- saml2__AttributeType* soap_new_saml2__AttributeType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml2__AttributeType(struct soap*, saml2__AttributeType*) default initialize members
- int soap_read_saml2__AttributeType(struct soap*, saml2__AttributeType*) deserialize from a source
- int soap_write_saml2__AttributeType(struct soap*, saml2__AttributeType*) serialize to a sink
- saml2__AttributeType* soap_dup_saml2__AttributeType(struct soap*, saml2__AttributeType* dst, saml2__AttributeType <em>src) returns deep copy of saml2__AttributeType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__AttributeType(saml2__AttributeType) deep deletes saml2__AttributeType data members, use only on dst after soap_dup_saml2__AttributeType(NULL, saml2__AttributeType *dst, saml2__AttributeType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int saml2__AttributeType::__sizeAttributeValue

Size of the dynamic array of _XML* is 0..unbounded.

char* saml2__AttributeType::FriendlyName

Attribute "FriendlyName" of XSD type xs:string.

Optional attribute.

char* saml2__AttributeType::Name

Attribute "Name" of XSD type xs:string.

Required attribute.

char* saml2__AttributeType::NameFormat

Attribute "NameFormat" of XSD type xs:anyURI.

Optional attribute.

_XML* saml2__AttributeType::saml2__AttributeValue

Array _XML* of size 0..unbounded.

The documentation for this struct was generated from the following file:

- saml2.h